Package groovy.sql

# Class GroovyRowResult

java.lang.Object
groovy.lang.GroovyObjectSupport
groovy.sql.GroovyRowResult

All Implemented Interfaces:
  `GroovyObject`, `Map<String,Object>`

public class GroovyRowResult extends GroovyObjectSupport implements Map<String,Object>
Represents an extent of objects. It's primarily used by methods of Groovy's `Sql` class to return `ResultSet` data in map form; allowing access to the result of a SQL query by the name of the column, or by the column number.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K extends Object,V extends Object>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroovyRowResult(Map<String,Object> result)`
  Creates a row wrapper backed by the supplied map.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  `boolean`
  `containsKey(Object key)`
  Checks if the result contains (ignoring case) the given key.
  `boolean`
  `containsValue(Object value)`
  `Set<Map.Entry<String,Object>>`
  `entrySet()`
  `boolean`
  `equals(Object o)`
  `Object`
  `get(Object property)`
  Find the property value for the given name (ignoring case).
  `Object`
  `getAt(int index)`
  Retrieve the value of the property by its index.
  `Object`
  `getProperty(String property)`
  Retrieve the value of the property by its (case-insensitive) name.
  `int`
  `hashCode()`
  `boolean`
  `isEmpty()`
  `Set<String>`
  `keySet()`
  `Object`
  `put(String key, Object value)`
  Associates the specified value with the specified property name in this result.
  `void`
  `putAll(Map<? extends String,?> t)`
  Copies all of the mappings from the specified map to this result.
  `Object`
  `remove(Object rawKey)`
  Removes the mapping for the supplied key using case-insensitive key matching.
  `int`
  `size()`
  `String`
  `toString()`
  Returns this row in standard map form.
  `Collection<Object>`
  `values()`

  ### Methods inherited from class groovy.lang.GroovyObjectSupport

  `getMetaClass, setMetaClass`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface groovy.lang.GroovyObject

  `invokeMethod, setProperty`

  ### Methods inherited from interface java.util.Map

  `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- ## Constructor Details

  - ### GroovyRowResult

    public GroovyRowResult(Map<String,Object> result)
    Creates a row wrapper backed by the supplied map.
    Parameters:
      `result` - the backing column-name-to-value map

- ## Method Details

  - ### getProperty

    public Object getProperty(String property)
    Retrieve the value of the property by its (case-insensitive) name.
    Specified by:
      `getProperty` in interface `GroovyObject`
    Parameters:
      `property` - is the name of the property to look at
    Returns:
      the value of the property

  - ### getAt

    public Object getAt(int index)
    Retrieve the value of the property by its index. A negative index will count backwards from the last column.
    Parameters:
      `index` - is the number of the column to look at
    Returns:
      the value of the property

  - ### toString

    public String toString()
    Returns this row in standard map form.
    Overrides:
      `toString` in class `Object`
    Returns:
      the row contents as a string

  - ### clear

    public void clear()
    Specified by:
      `clear` in interface `Map<String,Object>`

  - ### containsKey

    public boolean containsKey(Object key)
    Checks if the result contains (ignoring case) the given key.
    Specified by:
      `containsKey` in interface `Map<String,Object>`
    Parameters:
      `key` - the property name to look for
    Returns:
      true if the result contains this property name

  - ### containsValue

    public boolean containsValue(Object value)
    Specified by:
      `containsValue` in interface `Map<String,Object>`

  - ### entrySet

    public Set<Map.Entry<String,Object>> entrySet()
    Specified by:
      `entrySet` in interface `Map<String,Object>`

  - ### equals

    public boolean equals(Object o)
    Specified by:
      `equals` in interface `Map<String,Object>`
    Overrides:
      `equals` in class `Object`

  - ### get

    public Object get(Object property)
    Find the property value for the given name (ignoring case).
    Specified by:
      `get` in interface `Map<String,Object>`
    Parameters:
      `property` - the name of the property to get
    Returns:
      the property value

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in interface `Map<String,Object>`
    Overrides:
      `hashCode` in class `Object`

  - ### isEmpty

    public boolean isEmpty()
    Specified by:
      `isEmpty` in interface `Map<String,Object>`

  - ### keySet

    public Set<String> keySet()
    Specified by:
      `keySet` in interface `Map<String,Object>`

  - ### put

    public Object put(String key, Object value)
    Associates the specified value with the specified property name in this result.
    Specified by:
      `put` in interface `Map<String,Object>`
    Parameters:
      `key` - the property name for the result
      `value` - the property value for the result
    Returns:
      the previous value associated with `key`, or `null` if there was no mapping for `key`. (A `null` return can also indicate that the map previously associated `null` with `key`.)

  - ### putAll

    public void putAll(Map<? extends String,?> t)
    Copies all of the mappings from the specified map to this result. If the map contains different case versions of the same (case-insensitive) key only the last (according to the natural ordering of the supplied map) will remain after the `putAll` method has returned.
    Specified by:
      `putAll` in interface `Map<String,Object>`
    Parameters:
      `t` - the mappings to store in this result

  - ### remove

    public Object remove(Object rawKey)
    Removes the mapping for the supplied key using case-insensitive key matching.
    Specified by:
      `remove` in interface `Map<String,Object>`
    Parameters:
      `rawKey` - the key to remove
    Returns:
      the removed value, or `null` if no matching key existed

  - ### size

    public int size()
    Specified by:
      `size` in interface `Map<String,Object>`

  - ### values

    public Collection<Object> values()
    Specified by:
      `values` in interface `Map<String,Object>`